Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> phpMyAdmin Multiple Remote Vulnerabilities


Vulnerability Assessment Details

phpMyAdmin Multiple Remote Vulnerabilities

Vulnerability Assessment Summary
Checks the version of phpMyAdmin

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP application that is affected by
multiple vulnerabilities.

Description :

According to its banner, the remote version of phpMyAdmin is
vulnerable to one (or both) of the following flaws :

- A possible hacker may be able to exploit this software to execute
arbitrary commands on the remote host on a server which does not run
PHP in safe mode.

- A possible hacker may be able to read arbitrary files on the remote host
through the argument 'sql_localfile' of the file 'read_dump.php'.

See also :

http://www.exaprobe.com/labs/advisories/esa-2004-1213.html
http://archives.neohapsis.com/archives/bugtraq/2004-12/0115.html
http://www.phpmyadmin.net/home_page/security.php?issue=PMASA-2004-4

Solution :

Upgrade to phpMyAdmin version 2.6.1-rc1 or later.

Network Security Threat Level:

Medium / CVSS Base Score : 6
(AV:R/AC:H/Au:NR/C:P/A:P/I:P/B:N)

Networks Security ID: 11886

Vulnerability Assessment Copyright: This script is Copyright (C) 2004-2006 Tenable Network Security

Cables, Connectors

HP ProLiant DL380 G7 2x X5670 2.93GHz 6 Core 72GB 8x 146GB 15K SAS P410i 512MB
$1924.26
HP ProLiant DL380 G7 2x X5670 2.93GHz 6 Core 72GB 8x 146GB 15K SAS P410i 512MB pictureDell PowerEdge R410 Server 2x E5504 2.0GHz 4-Core , SAS6i , 8GB RAM 2x 146GB HDD
$168.75
Dell PowerEdge R410 Server 2x E5504 2.0GHz 4-Core , SAS6i , 8GB RAM 2x 146GB HDD pictureLenovo ThinkStation S30 4-Core 3.60GHz E5-1620 8GB 1TB Nvidia FX 1800 Win 10 Pro
$349.99
Lenovo ThinkStation S30 4-Core 3.60GHz E5-1620 8GB 1TB Nvidia FX 1800 Win 10 Pro pictureHP ProLiant DL380 G7 2x X5660 2.8GHz 6 Core 144GB 8x 600GB 10K SAS P410i 512MB
$3969.37
HP ProLiant DL380 G7 2x X5660 2.8GHz 6 Core 144GB 8x 600GB 10K SAS P410i 512MB picture


Discussions

No Discussions have been posted on this vulnerability.